Bug 10554 - request backport for 'smb1 - fix read of deleted memory in reply_writeclose()'
request backport for 'smb1 - fix read of deleted memory in reply_writeclose()'
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Other
4.1.6
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-04-15 11:55 UTC by Noel Power
Modified: 2014-05-19 10:02 UTC (History)
1 user (show)

See Also:


Attachments
patch for 4.1.6 (2.68 KB, patch)
2014-04-15 11:55 UTC, Noel Power
jra: review+
metze: review+
Details
patch for 4.0.9 (2.68 KB, patch)
2014-04-15 11:57 UTC, Noel Power
jra: review+
metze: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Noel Power 2014-04-15 11:55:08 UTC
Created attachment 9852 [details]
patch for 4.1.6

Valgrind identified this problem and there is already a fix in master, this bug is to request that patch to be backported ( 4.0 & 4.1 )
Comment 1 Noel Power 2014-04-15 11:57:48 UTC
Created attachment 9853 [details]
patch for 4.0.9
Comment 2 Jeremy Allison 2014-04-16 18:36:54 UTC
Comment on attachment 9852 [details]
patch for 4.1.6

LGTM
Comment 3 Jeremy Allison 2014-04-16 18:37:06 UTC
Comment on attachment 9853 [details]
patch for 4.0.9

LGTM.
Comment 4 Jeremy Allison 2014-04-16 18:37:34 UTC
Re-assigning to Karolin for inclusion in 4.1.next and 4.0.next.
Jeremy.
Comment 5 Karolin Seeger 2014-04-29 08:31:36 UTC
Sorry, I need a second review of a team member first...
Comment 6 Karolin Seeger 2014-04-29 08:58:22 UTC
Thanks, Metze!

Pushed to autobuild-v4-[0|1]-test.
Comment 7 Karolin Seeger 2014-05-19 10:02:50 UTC
Pushed to both branches.
Closing out bug report.

Thanks!